org.omg.CORBA

## Class IntHolder

- java.lang.Object
- - org.omg.CORBA.IntHolder

- All Implemented Interfaces:
    Streamable

      public final class IntHolder
      extends Object
      implements Streamable

  The Holder for `Int`. For more information on Holder files, see "Generated Files: Holder Files".

  A Holder class for an `int` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `long` as an "out" or "inout" parameter, the programmer must pass an instance of `IntHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

  If `myIntHolder` is an instance of `IntHolder`, the value stored in its `value` field can be accessed with `myIntHolder.value`.

  Since:
    JDK1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `value` | The `int` value held by this `IntHolder` object in its `value` field.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntHolder()` | Constructs a new `IntHolder` object with its `value` field initialized to `0`.
    `IntHolder(int initial)` | Constructs a new `IntHolder` object with its `value` field initialized to the given `int`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read(InputStream input)` | Reads unmarshalled data from `input` and assigns it to the `value` field in this `IntHolder` object.
    `TypeCode` | `_type()` | Retrieves the `TypeCode` object that corresponds to the value held in this `IntHolder` object's `value` field.
    `void` | `_write(OutputStream output)` | Marshals the value in this `IntHolder` object's `value` field to the output stream `output`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public int value

      The `int` value held by this `IntHolder` object in its `value` field.

  - ### Constructor Detail

    - #### IntHolder

          public IntHolder()

      Constructs a new `IntHolder` object with its `value` field initialized to `0`.

    - #### IntHolder

          public IntHolder(int initial)

      Constructs a new `IntHolder` object with its `value` field initialized to the given `int`.
      Parameters:
        `initial` - the `int` with which to initialize the `value` field of the newly-created `IntHolder` object

  - ### Method Detail

    - #### _read

          public void _read(InputStream input)

      Reads unmarshalled data from `input` and assigns it to the `value` field in this `IntHolder` object.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `input` - the `InputStream` object containing CDR formatted data from the wire

    - #### _write

          public void _write(OutputStream output)

      Marshals the value in this `IntHolder` object's `value` field to the output stream `output`.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `output` - the `OutputStream` object that will contain the CDR formatted data

    - #### _type

          public TypeCode _type()

      Retrieves the `TypeCode` object that corresponds to the value held in this `IntHolder` object's `value` field.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the type code for the value held in this `IntHolder` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.